#
# spec file for package python-jupyter_altair-widgets
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with     test
Name:           python-jupyter_altair-widgets
Version:        0.1.2
Release:        2.1
Summary:        Interactive visualization for statistical data for Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://altair-viz.github.io
Source:         https://files.pythonhosted.org/packages/source/a/altair-widgets/altair_widgets-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module altair}
BuildRequires:  %{python_module jupyter_ipython}
BuildRequires:  %{python_module jupyter_ipywidgets}
BuildRequires:  %{python_module jupyter_vega >= 0.4.4}
BuildRequires:  %{python_module pandas}
BuildRequires:  %{python_module pytest}
%endif
Requires:       python-altair
Requires:       python-jupyter_ipython
Requires:       python-jupyter_ipywidgets
Requires:       python-jupyter_vega >= 0.4.4
Requires:       python-pandas
BuildArch:      noarch

%python_subpackages

%description

This package provides interactive data visualization tools in the Jupyter
Notebook.

The interactive visualization tool that is provided allows data selection
through HTML widgets and outputs a Vega-lite plot through Altair. In the HTML
widget it is possible to select columns to plot in various encodings. This
widget also supports some basic configuration (i.e., log vs linear scales).

%prep
%setup -q -n altair_widgets-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec -m pytest altair_widgets
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{python_sitelib}/altair_widgets/
%{python_sitelib}/altair_widgets-%{version}-py*.egg-info

%changelog
* Thu May  3 2018 toddrme2178@gmail.com
- Use %%license tag
* Tue Sep 19 2017 toddrme2178@gmail.com
- Add documentation and license
* Tue Aug 22 2017 toddrme2178@gmail.com
- Initial version
